#include <CapacitiveSensor.h>

CapacitiveSensor   cs_4_2 = CapacitiveSensor(4,2);  
//Le courant est envoyé dans l'antenne par la PIN 4 et les valeurs seront récupérées par la sortie 2


int led = 6;      
// La LED est branché sur la pin 6 qui permet de ui envoyer des valeurs analogues

void setup()                    
{
    pinMode(led, OUTPUT);
  cs_4_2.set_CS_AutocaL_Millis(0xFFFFFFFF);     // turn off autocalibrate on channel 1 - just as an example
  Serial.begin(9600);
  //Valeurs d'envoi du sérial moniteur (attention à bien coordonner les valeurs du moniteur avec celle ci. ici: 9600 baud)
  
}
 
void loop()                    
{
  long total1 =  cs_4_2.capacitiveSensor(30);
 
total1 = constrain(total1, 80, 7000);
//Contraintes: seules les valeurs comprises entre 80 et 7000 seront prises en compte pour le mapping (ces valeurs dépendent de la sensibilité de l'antenne capacitive)

int valueMap = map(total1, 80, 7000, 0, 255);
//Produit en croix: quand les valeurs reçues par l'antenne = 80 la LED est éteint. Quand les valeurs reçues sont égales à 7000, la LED s'éclaire au maximum.
 
 analogWrite(led,valueMap);
//les valeurs qui seront envoyées à la LED seront calculées en fonction du mapping ci dessus.
 
  Serial.print(total1);  
  Serial.print("\t");  
  Serial.println(valueMap);  

    delay(10);                             // arbitrary delay to limit data to serial port 
}

